Loading...
Searching...
No Matches
BALL::PDBFile::Default Struct Reference

`#include <BALL/FORMAT/PDBFile.h>`

## Static Public Attributes

static const Index | VERBOSITY
static const bool | STRICT_LINE_CHECKING
static const Index | CHOOSE_MODEL
static const bool | STORE_SKIPPED_RECORDS
static const bool | IGNORE_XPLOR_PSEUDO_ATOMS
static const bool | PARSE_PARTIAL_CHARGES
static const bool | WRITE_PDBFORMAT_1996

## Detailed Description

Default values for PDBFile options.

Definition at line 123 of file PDBFile.h.

## Member Data Documentation

## CHOOSE_MODEL

const Index BALL::PDBFile::Default::CHOOSE_MODEL

static

Default model to read from file. 0 - read the first model from the file

See also
  Option::CHOOSE_MODEL

Definition at line 141 of file PDBFile.h.

## IGNORE_XPLOR_PSEUDO_ATOMS

const bool BALL::PDBFile::Default::IGNORE_XPLOR_PSEUDO_ATOMS

static

Ignore XPLOR pseudo atoms. true – skip them.

Definition at line 151 of file PDBFile.h.

## PARSE_PARTIAL_CHARGES

const bool BALL::PDBFile::Default::PARSE_PARTIAL_CHARGES

static

Parse partial charges. false – stick to the standard.

Definition at line 156 of file PDBFile.h.

## STORE_SKIPPED_RECORDS

const bool BALL::PDBFile::Default::STORE_SKIPPED_RECORDS

static

Store skipped records in info. true – store everything we cannot interpret.

Definition at line 146 of file PDBFile.h.

## STRICT_LINE_CHECKING

const bool BALL::PDBFile::Default::STRICT_LINE_CHECKING

static

Default for strict line checking option. false - don't check lines lengths.

See also
  Option::STRICT_LINE_CHECKING

Definition at line 135 of file PDBFile.h.

## VERBOSITY

const Index BALL::PDBFile::Default::VERBOSITY

static

Default verbosity level. 0 - shut up!

See also
  Option::VERBOSITY

Definition at line 129 of file PDBFile.h.

## WRITE_PDBFORMAT_1996

const bool BALL::PDBFile::Default::WRITE_PDBFORMAT_1996

static

Enable writing PDB-CONECT records according to the format guidelines of 1996. default is supporting the current format from 2006.

See also
  Default::WRITE_PDBFORMAT_1996

Definition at line 162 of file PDBFile.h.